Op (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class Op

- java.lang.Object
- - siena.Op

-     public class Op
      extends java.lang.Object

  Siena selection operators. Op defines a set of constants that represent the selection operators offered by Siena. For example, `Op.EQ` represents the ``equality'' operator, `Op.GT` represents the ``greater than'' operator, `Op.LE` represents the ``less or equal'' operator, etc.

  Op also offers a convenient translation function that returns operator codes based on their textual representation. For example, `Op.op("=")` returns `Op.EQ`, `Op.op(">")` returns `Op.GT`, , `Op.op("<=")` returns `Op.LE`, etc.

  See Also:
    `AttributeConstraint`, `Filter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `ANY` any operator
    `static short` | `EQ` equality operator
    `static short` | `GE` greater o equal operator
    `static short` | `GT` greater than operator
    `static short` | `LE` less or equal operator
    `static short` | `LT` less than operator
    `static short` | `NE` not equal operator
    `static java.lang.String[]` | `operators` string representation of operators
    `static short` | `PF` has prefix operator (for strings only, e.g., "software" PF "soft") x Op.PF y iff x begins with the prefix y
    `static short` | `SF` has suffix operator (for strings only, e.g., "software" SF "ware") x Op.SF y iff x ends with the suffix y
    `static short` | `SS` substring operator (for strings only, e.g., "software" SS "war") x Op.SS y iff x contains the substring y

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Op()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static short` | `op(java.lang.String strop)` returns the operator corresponding to the given string representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EQ

          public static final short EQ

      equality operator
      See Also:
        Constant Field Values

    - #### LT

          public static final short LT

      less than operator
      See Also:
        Constant Field Values

    - #### GT

          public static final short GT

      greater than operator
      See Also:
        Constant Field Values

    - #### GE

          public static final short GE

      greater o equal operator
      See Also:
        Constant Field Values

    - #### LE

          public static final short LE

      less or equal operator
      See Also:
        Constant Field Values

    - #### PF

          public static final short PF

      has prefix operator (for strings only, e.g., "software" PF "soft") x Op.PF y iff x begins with the prefix y
      See Also:
        Constant Field Values

    - #### SF

          public static final short SF

      has suffix operator (for strings only, e.g., "software" SF "ware") x Op.SF y iff x ends with the suffix y
      See Also:
        Constant Field Values

    - #### ANY

          public static final short ANY

      any operator
      See Also:
        Constant Field Values

    - #### NE

          public static final short NE

      not equal operator
      See Also:
        Constant Field Values

    - #### SS

          public static final short SS

      substring operator (for strings only, e.g., "software" SS "war") x Op.SS y iff x contains the substring y
      See Also:
        Constant Field Values

    - #### operators

          public static final java.lang.String[] operators

      string representation of operators

  - ### Constructor Detail

    - #### Op

          public Op()

  - ### Method Detail

    - #### op

          public static short op(java.lang.String strop)

      returns the operator corresponding to the given string representation.
      Parameters:
        `strop` - string representation of the operator (e.g. "=" returns `Operator.EQ`)
      Returns:
        operator code or 0 if the string is not a valid representation

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga